aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-09-01 13:46:19 -0300
committerNatanael Copa <ncopa@alpinelinux.org>2019-09-03 16:03:08 +0000
commit69d654f853aec47e0d7157e66108f6f4c3640ec5 (patch)
treedf5c167b2ec3c1f9ad61f24046dfb0016cb5325d
parent4840084f0613eb1f4fc0a35e564d5d0b19ae3344 (diff)
downloadaports-69d654f853aec47e0d7157e66108f6f4c3640ec5.tar.bz2
aports-69d654f853aec47e0d7157e66108f6f4c3640ec5.tar.xz
main/readline: upgrade to 8.0.1
-rw-r--r--main/readline/APKBUILD14
1 files changed, 7 insertions, 7 deletions
diff --git a/main/readline/APKBUILD b/main/readline/APKBUILD
index 2525f52698..aef66976e6 100644
--- a/main/readline/APKBUILD
+++ b/main/readline/APKBUILD
@@ -1,17 +1,16 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=readline
-pkgver=8.0.0
+pkgver=8.0.1
pkgrel=0
_myver=${pkgver%.*}
pkgdesc="GNU readline library"
url="https://tiswww.cwru.edu/php/chet/readline/rltop.html"
arch="all"
options="!check"
-license="GPL"
-depends=
+license="GPL-2.0-or-later"
makedepends_host="ncurses-dev"
-subpackages="$pkgname-dev $pkgname-doc libhistory"
-source="https://ftp.gnu.org/gnu/$pkgname/$pkgname-$_myver.tar.gz
+subpackages="$pkgname-static $pkgname-dev $pkgname-doc libhistory"
+source="https://ftp.gnu.org/gnu/readline/readline-$_myver.tar.gz
fix-ncurses-underlinking.patch
inputrc
"
@@ -50,7 +49,7 @@ build() {
package() {
make -C "$builddir" DESTDIR="$pkgdir" install
# verfy that its not underlinked as upstream designed it
- if ! readelf -d "$pkgdir"/usr/lib/libreadline.so | grep 'NEEDED.*ncurses'; then
+ if ! readelf -d "$pkgdir"/usr/lib/libreadline.so | grep -q 'NEEDED.*ncurses'; then
error "readline needs to be linked against ncurses"
return 1
fi
@@ -67,4 +66,5 @@ libhistory() {
sha512sums="41759d27bc3a258fefd7f4ff3277fa6ab9c21abb7b160e1a75aa8eba547bd90b288514e76264bd94fb0172da8a4faa54aab2c07b68a0356918ecf7f1969e866f readline-8.0.tar.gz
325dcf74e9f463a74fb116cb6f3ff8d9708dbec24b423a778eeda3a5ac4fe6df131e0e99d034053ad356b01502894ecc8facc09160d4c29b2291bd95cff6b635 fix-ncurses-underlinking.patch
-5dbe872e94166aaed7ca2edec5a34ef9b13b254381e252cc6d851877b461579903cbb5b5dc588eabececcf1ebe636f6cb4da406cd01b64757f8c7e7f62e9a276 inputrc"
+5dbe872e94166aaed7ca2edec5a34ef9b13b254381e252cc6d851877b461579903cbb5b5dc588eabececcf1ebe636f6cb4da406cd01b64757f8c7e7f62e9a276 inputrc
+a148cda6ac97935d51ede1bbacf847d7d2cba8861cf3941d32e3da2f45f16dcc05b20845b63d4264692520db8329e1236cf2bc4fd8ccbe6e40921bbbdeb2cb1c readline80-001.diff"